#include <vcrt.h>
#include <sysvar.h>
#include <register.h>



void update_plc()
{
unsigned x = *((volatile int *)GPVAL);  /* read PLC value
*/
                                        /* bits:  x x x 2  1 0 3 x
*/

x = ((x & 0x1C)>>2) + ((x & 0x02)<<2);  /* assemble PLC bits
*/

if(x != (getvar(PLCIN) & 0x0F))
  {
  setvar(PLCIN, x);
  set_evt(PLC_INT);                /* set event flag
*/
  }
}
